#!/usr/bin/perl
# -*- Perl -*-
# prnmz.pl - pagerank Υ˥ե̾Ϥ
# $Id: checkpr.pl,v 1.1.1.1 2001/02/28 08:31:12 baba Exp $
#
# Copyright (C) 2001 Hajime BABA  All rights reserved.
#     This is free software with ABSOLUTELY NO WARRANTY.
#
#  This file must be encoded in EUC-JP encoding

package checkpr;

use strict;
use Cwd;
use File::Spec;
push(@INC, '/usr/share/namazu/pl');
require 'nmzidx.pl';

sub check {
    my ($dir) = @_;

    my $ndoc=0;
    my @flist;
    my %docid;
    my $nmzr = new nmzidx($dir, 'r');
    my $fr = $nmzr->open_flist;
    my %list_f;
    while (defined $fr->read(\%list_f)){
        my $file_name = $list_f{'r'};
	push(@flist, $file_name);
	$docid{$file_name} = $ndoc+1;   # DocID  1 Ϥޤ
	$ndoc++;
    }
    $nmzr->close;

    my %pagerank;
    my @tmp = @flist;

    my $nmzp = new nmzidx($dir, 'r');
    my $fp = $nmzp->open_field('pagerank');
    while (defined (my $str = $fp->{'pagerank'}->getline())){
	my $f = shift @tmp;
	$pagerank{$f} = $str;
    }
    $nmzp->close;

#    open(F, "NMZ.octave.pagerank") || die;
#    while (<F>) {
#	next if (/^#/);
#	chop($_);
#	my $f = shift @tmp;
#	$pagerank{$f} = $_;
#    }
#    close(F);

    @flist = reverse sort {$pagerank{$a} <=> $pagerank{$b} or
			   $b cmp $a} @flist;

    my $n=1;
    foreach my $f (@flist) {
	printf("%4d: %.5f [%4d] %s\n", $n, $pagerank{$f}, $docid{$f}, $f);
	$n++;
    }
}

check('.');
exit(0);
